> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a commit for the import

> Create a commit for the import. Requires workspace_id, sync_commit_id, title, and description.



## OpenAPI

````yaml post /workspaces/import/commit/create
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/import/commit/create:
    post:
      tags:
        - Asset Import (upload alternative)
      description: >-
        Create a commit for the import. Requires workspace_id, sync_commit_id,
        title, and description.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                sync_commit_id:
                  type: string
                  description: The sync commit ID
                title:
                  type: string
                  description: The title of the commit
                description:
                  type: string
                  description: The description of the commit
      responses:
        '200':
          description: The result of the created commit
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  commit_id:
                    type: string
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````